## minisat2 2.2.0

=== debian/changelog ===
minisat2 (1:2.2.0-2) unstable; urgency=low

  * Fix FTBFS due to undefined _FPU_{EXTENDED,DOUBLE} (closes: #590254).
  * Fix FTBFS due to undefined memUsedPeak (closes: #590255).

 -- Michael Tautschnig <mt@debian.org>  Sun, 25 Jul 2010 22:02:54 +0200

minisat2 (1:2.2.0-1) unstable; urgency=low

  * New upstream version.
    - Introduced epoch as new versioning scheme is in use.
    - Added Vcs-Git and Vcs-Browser control fields.
    - Bumped SO version as all functions have been moved into a namespace.
    - Added patch 9bd8749.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped standards version to 3.9.0 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Sun, 25 Jul 2010 08:42:10 +0200

minisat2 (070721-8) unstable; urgency=low

  * Added Homepage field.

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Dec 2009 14:25:31 +0100

minisat2 (070721-7) unstable; urgency=low

  * Bumped standards version to 3.8.3 (no changes).
  * Use Copyright instead of (C) in debian/copyright.
  * Build dynamic library (thanks Pietro Abate <Pietro.Abate@pps.jussieu.fr>
    for ideas and patches). (Closes: #537372)

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Dec 2009 12:19:36 +0100

minisat2 (070721-6) unstable; urgency=low

  * Completed man page (Closes: #501983)

 -- Michael Tautschnig <mt@debian.org>  Sun, 26 Oct 2008 20:35:45 +0100

minisat2 (070721-5) unstable; urgency=low

  * Also test for _FPU_GETCW being defined to fix FTBFS on alpha

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Sep 2008 21:09:47 +0200

minisat2 (070721-4) unstable; urgency=low

  * Added David A. Wheeler's nice intro to SAT solving

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Sep 2008 19:32:20 +0200

minisat2 (070721-3) unstable; urgency=low

  * Test, whether _FPU_EXTENDED and _FPU_DOUBLE are defined 
    (fixes FTBFS)
  * Improved description of package (Closes: #486602)

 -- Michael Tautschnig <mt@debian.org>  Tue, 17 Jun 2008 21:51:01 +0000

minisat2 (070721-2) unstable; urgency=low

  * Added libz-dev build-dep to fix FTBFS

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Jun 2008 12:51:36 +0000

minisat2 (070721-1) unstable; urgency=low

  * Initial release (Closes: #484989)

 -- Michael Tautschnig <mt@debian.org>  Sat,  7 Jun 2008 17:10:44 +0200
