## minisat2 2.2.1

=== debian/changelog ===
minisat2 (1:2.2.1-8build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:42 +1100

minisat2 (1:2.2.1-8) unstable; urgency=low

  * Disable parallel builds to fix occasional FTBFS

 -- Michael Tautschnig <mt@debian.org>  Mon, 26 Feb 2024 16:47:37 +0000

minisat2 (1:2.2.1-7) unstable; urgency=low

  * Fix FTCBFS: ensure sh target is required by all. Thanks Helmut Grohne
    <helmut@subdivi.de> for debugging (closes: #1064366)

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Feb 2024 10:47:31 +0000

minisat2 (1:2.2.1-6) unstable; urgency=low

  * Bumped standards version to 4.6.2 (no changes)
  * Remove transitional minisat2 package (closes: #878693)
  * Enable verbose build logs by default: thanks Helmut Grohne
    <helmut@subdivi.de> for the patch (closes: #900023)

 -- Michael Tautschnig <mt@debian.org>  Tue, 20 Feb 2024 11:23:45 +0000

minisat2 (1:2.2.1-5) unstable; urgency=low

  * Fix C++ syntax to enable Clang builds (closes: #756336)
  * Bumped standards version to 3.9.5 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Wed, 30 Jul 2014 10:38:25 +0100

minisat2 (1:2.2.1-4) unstable; urgency=low

  * Require a non-zero memory limit (closes: #716229)
  * Bumped standards version to 3.9.4 (no changes)
  * Bumped compatibility level to 9

 -- Michael Tautschnig <mt@debian.org>  Fri, 12 Jul 2013 21:42:02 +0100

minisat2 (1:2.2.1-3) unstable; urgency=low

  * Updated man page (closes: #638217)

 -- Michael Tautschnig <mt@debian.org>  Sat, 03 Sep 2011 21:03:43 +0100

minisat2 (1:2.2.1-2) unstable; urgency=low

  * Include headers from simp/ directory in package
  * Bumped standards version to 3.9.2 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Mon, 13 Jun 2011 15:13:41 +0200

minisat2 (1:2.2.1-1) unstable; urgency=low

  * Upload of package with revamped build system to unstable.
  * Rename main binary package to minisat, added transitional package.
  * Use debhelper 7.

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Mar 2011 13:31:53 +0200

minisat2 (1:2.2.0-3) experimental; urgency=low

  * Current upstream git snapshot with fully reworked build system.
    - Properly builds shared library (closes: #606846).
    - Fixes include hierarchy (closes: #606643).

 -- Michael Tautschnig <mt@debian.org>  Thu, 20 Jan 2011 22:37:08 +0100
