=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (${DH_QUIET},)
export VERB=1
endif

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_testdir
	$(MAKE) config prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes-2.2.0.txt
