## minisat2 070721

=== core/Makefile ===
MTL       = ../mtl
CHDRS     = $(wildcard *.h) $(wildcard $(MTL)/*.h)
EXEC      = minisat
CFLAGS    = -I$(MTL) -Wall -ffloat-store
LFLAGS    = -lz

include ../mtl/template.mk
